Aracılığıyla paylaş


Certificates - Create Or Update

Sertifika oluşturma veya güncelleştirme açıklaması.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/certificates/{name}?api-version=2025-05-01

URI Parametreleri

Name İçinde Gerekli Tür Description
name
path True

string

Sertifikanın adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
location True

string

Kaynağın bulunduğu coğrafi konum

kind

string

Kaynak türü. Kaynak bir uygulamaysa, tür için desteklenen değerlerin ayrıntıları için https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference başvurabilirsiniz.

properties.canonicalName

string

Ücretsiz sertifika aracılığıyla dağıtılacak sertifikanın CNAME'si

properties.domainValidationMethod

string

Ücretsiz sertifika için etki alanı doğrulama yöntemi

properties.hostNames

string[]

Sertifikanın uygulandığı ana bilgisayar adları.

properties.keyVaultId

string (arm-id)

Azure Key Vault Csm kaynak kimliği.

properties.keyVaultSecretName

string

Azure Key Vault gizli dizi adı.

properties.password

string

Sertifika parolası.

properties.pfxBlob

string (byte)

Pfx blobu.

properties.serverFarmId

string (arm-id)

İlişkili App Service planının Kaynak Kimliği.

tags

object

Kaynak etiketleri.

Yanıtlar

Name Tür Description
200 OK

Certificate

Kaynak 'Sertifika' güncelleme işlemi başarılı oldu

Other Status Codes

DefaultErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Create Or Update Certificate

Örnek isteği

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282?api-version=2025-05-01

{
  "location": "East US",
  "properties": {
    "hostNames": [
      "ServerCert"
    ],
    "password": "<password>"
  }
}

Örnek yanıt

{
  "name": "testc6282",
  "type": "Microsoft.Web/certificates",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/certificates/testc6282",
  "location": "East US",
  "properties": {
    "expirationDate": "2039-12-31T23:59:59+00:00",
    "friendlyName": "",
    "hostNames": [
      "ServerCert"
    ],
    "issueDate": "2015-11-12T23:40:25+00:00",
    "issuer": "CACert",
    "subjectName": "ServerCert",
    "thumbprint": "FE703D7411A44163B6D32B3AD9B03E175886EBFE"
  }
}

Tanımlar

Name Description
Certificate

Bir uygulama için SSL sertifikası.

createdByType

Kaynağı oluşturan kimliğin türü.

DefaultErrorResponse

App Service hata yanıtı.

DefaultErrorResponseError

Hata modeli.

DefaultErrorResponseErrorDetailsItem

Ayrıntılı hatalar.

HostingEnvironmentProfile

Bu kaynak için kullanılacak bir App Service Ortamı belirtimi.

KeyVaultSecretStatus

Key Vault gizli dizisinin durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Certificate

Bir uygulama için SSL sertifikası.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kaynak türü. Kaynak bir uygulamaysa, tür için desteklenen değerlerin ayrıntıları için https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference başvurabilirsiniz.

location

string

Kaynağın bulunduğu coğrafi konum

name

string

Kaynağın adı

properties.canonicalName

string

Ücretsiz sertifika aracılığıyla dağıtılacak sertifikanın CNAME'si

properties.cerBlob

string (byte)

.cer dosyasının ham baytları

properties.domainValidationMethod

string

Ücretsiz sertifika için etki alanı doğrulama yöntemi

properties.expirationDate

string (date-time)

Sertifika son kullanma tarihi.

properties.friendlyName

string

Sertifikanın kolay adı.

properties.hostNames

string[]

Sertifikanın uygulandığı ana bilgisayar adları.

properties.hostingEnvironmentProfile

HostingEnvironmentProfile

Sertifika için kullanılacak App Service Ortamı belirtimi.

properties.issueDate

string (date-time)

Sertifika verme Tarihi.

properties.issuer

string

Sertifika veren.

properties.keyVaultId

string (arm-id)

Azure Key Vault Csm kaynak kimliği.

properties.keyVaultSecretName

string

Azure Key Vault gizli dizi adı.

properties.keyVaultSecretStatus

KeyVaultSecretStatus

Key Vault gizli dizisinin durumu.

properties.password

string

Sertifika parolası.

properties.pfxBlob

string (byte)

Pfx blobu.

properties.publicKeyHash

string

Ortak anahtar karması.

properties.selfLink

string

Kendi kendine bağlantı.

properties.serverFarmId

string (arm-id)

İlişkili App Service planının Kaynak Kimliği.

properties.siteName

string

Uygulama adı.

properties.subjectName

string

Sertifikanın konu adı.

properties.thumbprint

string

Sertifika parmak izi.

properties.valid

boolean

Sertifika geçerli mi?.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

tags

object

Kaynak etiketleri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service hata yanıtı.

Name Tür Description
error

DefaultErrorResponseError

Hata modeli.

DefaultErrorResponseError

Hata modeli.

Name Tür Description
code

string

Hatayı program aracılığıyla tanımlamak için standartlaştırılmış dize.

details

DefaultErrorResponseErrorDetailsItem[]

Ayrıntılı hatalar.

innererror

string

Hata ayıklamak için daha fazla bilgi.

message

string

Ayrıntılı hata açıklaması ve hata ayıklama bilgileri.

target

string

Ayrıntılı hata açıklaması ve hata ayıklama bilgileri.

DefaultErrorResponseErrorDetailsItem

Ayrıntılı hatalar.

Name Tür Description
code

string

Hatayı program aracılığıyla tanımlamak için standartlaştırılmış dize.

message

string

Ayrıntılı hata açıklaması ve hata ayıklama bilgileri.

target

string

Ayrıntılı hata açıklaması ve hata ayıklama bilgileri.

HostingEnvironmentProfile

Bu kaynak için kullanılacak bir App Service Ortamı belirtimi.

Name Tür Description
id

string

App Service Ortamının Kaynak Kimliği.

name

string

App Service Ortamının adı.

type

string

App Service Ortamı kaynak türü.

KeyVaultSecretStatus

Key Vault gizli dizisinin durumu.

Değer Description
Initialized
WaitingOnCertificateOrder
Succeeded
CertificateOrderFailed
OperationNotPermittedOnKeyVault
AzureServiceUnauthorizedToAccessKeyVault
KeyVaultDoesNotExist
KeyVaultSecretDoesNotExist
UnknownError
ExternalPrivateKey
Unknown

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.